[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TBevel.Shape

Shape - whether a box, a frame or a line along one of the edges.

## Declaration

Source position: extctrls.pp line 691

`published property TBevel.Shape : TBevelShape read FShape write SetShape default bsBox;`

## Description

Shape is a TBevelShape property which indicates the shape drawn as the bevel on the control. The default value for the property is bsBox, and causes a simple box to be drawn to represent the bevel. Changing the value for the property causes the control to be redrawn.

Use Style to indicate whether the shape is drawn as a raised or lowered area on the control surface.

Shape and Style are used in the Paint method to draw the control on its Canvas.

## See also

TBevelShape |  | TBevelShape is an enumerated type for shapes used in a bevel.